<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:19:45 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationFactory (org.eclipse.papyrus.designer.transformation.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationFactory (org.eclipse.papyrus.designer.transformation.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/class-use/TransformationFactory.html" target="_top">Frames</a></li>
<li><a href="TransformationFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationFactory" class="title">Uses of Interface<br>org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationFactory</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.profile.Transformation">org.eclipse.papyrus.designer.transformation.profile.Transformation</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.transformation.profile.Transformation.impl">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.profile.Transformation">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">TransformationFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation</a> that return <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">TransformationPackage.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getTransformationFactory--">getTransformationFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.transformation.profile.Transformation.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl</a> that implement <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationFactoryImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl">TransformationFactoryImpl</a></span></code>
<div class="block">An implementation of the model <b>Factory</b>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/package-summary.html">org.eclipse.papyrus.designer.transformation.profile.Transformation.impl</a> that return <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">TransformationPackageImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html#getTransformationFactory--">getTransformationFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">TransformationFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationFactoryImpl.html#init--">init</a></span>()</code>
<div class="block">Creates the default factory implementation.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/class-use/TransformationFactory.html" target="_top">Frames</a></li>
<li><a href="TransformationFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
